Subject: bug#40158: closed (Re: bug#40158: mount point is not created if mount? is #f)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Aug 2021 06:09:01 +0000

Your bug report

#40158: mount point is not created if mount? is #f

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40158: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40158
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40158: mount point is not created if mount? is #f
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Date: Sun, 29 Aug 2021 02:08:35 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> [email-masked] writes:
>
>> Consider the following file system record:
>>
>> (file-system
>>   (device "some-server:/mnt/scratch/yocto-sstate")"
>>   (mount-point "/mnt/scratch/yocto-sstate")
>>   (create-mount-point? #t)
>>   (type "nfs")
>>   (mount? #f)
>>   (options "soft")
>>   (flags '(no-exec)))
>>
>> Even though a user would think the mount point would be created, it is
>> not, I'm guessing because mount? is #f.
>>
>> Maxim
>
> I had the "chance" again today to meet this issue, so I took it by the
> horns and came up with the attached patch, which fixes it:
>
>
>
> Thanks,
>
> Maxim

Pushed with 8ad6624b96.  Closing!

Maxim

Subject: mount point is not created if mount? is #f
From: [email-masked]
To: bug-guix <[email-masked]>
Date: Fri, 20 Mar 2020 19:13:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Consider the following file system record:

(file-system
  (device "some-server:/mnt/scratch/yocto-sstate")"
  (mount-point "/mnt/scratch/yocto-sstate")
  (create-mount-point? #t)
  (type "nfs")
  (mount? #f)
  (options "soft")
  (flags '(no-exec)))

Even though a user would think the mount point would be created, it is
not, I'm guessing because mount? is #f.

Maxim